Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510671 - smartmontools missing from Fedora Modular Server
Summary: smartmontools missing from Fedora Modular Server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-modular-release
Version: 27
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ModularServer27GA F27ServerBetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2017-11-08 00:08 UTC by Adam Williamson
Modified: 2018-11-27 19:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-27 19:48:40 UTC


Attachments (Terms of Use)

Description Adam Williamson 2017-11-08 00:08:09 UTC
smartmontools - which contains tools and services for monitoring disk health via the SMART protocol, which is obviously something people are likely to want to do on servers - is missing from the Fedora Modular Server default package set. It's included in a default Fedora Server (non-modular) install, as part of the 'standard' comps group.

Proposing as a Beta freeze exception, this seems like something we'd want default installs to include.

Comment 1 Adam Williamson 2017-11-08 00:10:46 UTC
This actually happens to break openQA's cockpit test, as to detect that we've successfully reached the 'logs' page of cockpit, we rely on there being a warning/error message logged by smartd...which there usually is, but not when smartmontools isn't installed :)

Comment 2 Stephen Gallagher 2017-11-14 20:08:46 UTC
Added to the platform modulemd. Awaiting inclusion in a compose.

Comment 3 Stephen Gallagher 2017-11-20 21:10:19 UTC
This is now fixed as of compose Fedora-Modular-27-20171120.n.3

Comment 4 Ben Cotton 2018-11-27 18:06:14 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.